curl -X POST https://api.losinmaduros.com/api/route-calls/987e6543-e21b-12d3-a456-426614174000/attendances \
-H "Authorization: Bearer YOUR_TOKEN"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"userId": "user_2abc123def456",
"routeCallId": "987e6543-e21b-12d3-a456-426614174000",
"status": "CONFIRMED",
"createdAt": "2026-02-10T10:00:00Z",
"updatedAt": "2026-02-10T10:00:00Z",
"user": {
"id": "user_2abc123def456",
"name": "John",
"imageUrl": "https://example.com/avatar.jpg"
},
"routeCall": {
"id": "987e6543-e21b-12d3-a456-426614174000",
"title": "Ruta Casa de Campo - Domingo",
"dateRoute": "2026-02-15T10:00:00Z",
"pace": "MARIPOSA",
"status": "SCHEDULED"
}
},
"message": "Attendance confirmed successfully"
}
Confirm attendance to a route call
curl -X POST https://api.losinmaduros.com/api/route-calls/987e6543-e21b-12d3-a456-426614174000/attendances \
-H "Authorization: Bearer YOUR_TOKEN"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"userId": "user_2abc123def456",
"routeCallId": "987e6543-e21b-12d3-a456-426614174000",
"status": "CONFIRMED",
"createdAt": "2026-02-10T10:00:00Z",
"updatedAt": "2026-02-10T10:00:00Z",
"user": {
"id": "user_2abc123def456",
"name": "John",
"imageUrl": "https://example.com/avatar.jpg"
},
"routeCall": {
"id": "987e6543-e21b-12d3-a456-426614174000",
"title": "Ruta Casa de Campo - Domingo",
"dateRoute": "2026-02-15T10:00:00Z",
"pace": "MARIPOSA",
"status": "SCHEDULED"
}
},
"message": "Attendance confirmed successfully"
}
987e6543-e21b-12d3-a456-426614174000CONFIRMED will be createdCONFIRMEDCANCELLED or COMPLETEDCONFIRMED attendance for this route calltrueShow Attendance Object
123e4567-e89b-12d3-a456-426614174000user_2abc123def456987e6543-e21b-12d3-a456-426614174000CONFIRMED after creation.Possible values: CONFIRMED, CANCELLED2026-02-10T10:00:00Z2026-02-10T10:00:00ZShow Route Call Object
Ruta Casa de Campo - Domingo2026-02-15T10:00:00ZROCA, CARACOL, GUSANO, MARIPOSA, EXPERIMENTADO, LOCURA_TOTAL, MIAUCORNIASCHEDULED, ONGOING, COMPLETED, CANCELLEDAttendance confirmed successfullyCannot attend a cancelled route callCannot attend a completed route callcurl -X POST https://api.losinmaduros.com/api/route-calls/987e6543-e21b-12d3-a456-426614174000/attendances \
-H "Authorization: Bearer YOUR_TOKEN"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"userId": "user_2abc123def456",
"routeCallId": "987e6543-e21b-12d3-a456-426614174000",
"status": "CONFIRMED",
"createdAt": "2026-02-10T10:00:00Z",
"updatedAt": "2026-02-10T10:00:00Z",
"user": {
"id": "user_2abc123def456",
"name": "John",
"imageUrl": "https://example.com/avatar.jpg"
},
"routeCall": {
"id": "987e6543-e21b-12d3-a456-426614174000",
"title": "Ruta Casa de Campo - Domingo",
"dateRoute": "2026-02-15T10:00:00Z",
"pace": "MARIPOSA",
"status": "SCHEDULED"
}
},
"message": "Attendance confirmed successfully"
}